// ISO14443_4_ExampleDlg.h : header file
//

#if !defined(AFX_ISO14443_4_EXAMPLEDLG_H__7EADF4F4_E72C_4D50_9E70_0AF80A12DD43__INCLUDED_)
#define AFX_ISO14443_4_EXAMPLEDLG_H__7EADF4F4_E72C_4D50_9E70_0AF80A12DD43__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "HexEdit.h"
/////////////////////////////////////////////////////////////////////////////
// MainDlg dialog

class MainDlg : public CDialog
{
// Construction
public:
	HINSTANCE m_hInst;
	MainDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(MainDlg)
	enum { IDD = IDD_ISO14443_4_EXAMPLE_DIALOG };
	CEdit	m_editRetInfo;
	CHexEdit	m_editCOSCMD;
	CEdit	m_editRSTInfo;
	CComboBox	m_combBaud;
	CComboBox	m_combPort;
	int		m_nReaderID;
	int		m_nType;
	CString	m_strRstInfo;
	CString	m_strRetInfo;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MainDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	void Str2HexStr( CString &strHex, BYTE* pcInStr, int nLen); 
	// Generated message map functions
	//{{AFX_MSG(MainDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeComboPortBaud();	
	afx_msg void OnButtonConnect();
	virtual void OnOK();
	afx_msg void OnBtnRst();
	afx_msg void OnBtnSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int    m_nPort;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ISO14443_4_EXAMPLEDLG_H__7EADF4F4_E72C_4D50_9E70_0AF80A12DD43__INCLUDED_)
